Subject: Re: [PATCH ppc-next] powerpc/fsl-booke: don't load early TLB at once

From: David Lamparter <[email-masked]>
Date: Mon, 1 Oct 2018 15:51:26 +0200

(Sorry about the delay on my end, deadlines ...)

On Fri, Sep 21, 2018 at 06:07:48PM +0000, York Sun wrote:
> On 09/21/2018 10:47 AM, Scott Wood wrote:
> > On Fri, 2018-09-21 at 17:40 +0000, York Sun wrote:
> >> On 09/20/2018 05:31 PM, Scott Wood wrote:
> >>> On Fri, 2018-09-21 at 00:48 +0200, David Lamparter wrote:
> >>>> My dusty old P4080DS just completely fails to boot (no output at all)
> >>>> without this revert.  I have no clue what's going on here, I just
> >>>> bisected it down and since it looks like an optimization to me I just
> >>>> reverted it - and voilá, the P4080 boots again.
> >>>
> >>> It's not an optimization; it was required to get kdump working, at least
> >>> for certain choices of crash kernel location.
[...]
> >>> York, can you try booting the latest kernel on p4080ds?
[...]
>
> Thanks for the instruction. Linux comes up OK with corenet32_smp_defconfig.
>
> root@p4080ds:~# uname -a
> Linux p4080ds 4.19.0-rc4-00206-ga27fb6d #1 SMP Fri Sep 21 10:56:36 PDT
> 2018 ppc GNU/Linux

Well, shoot.  I guess the next likely thing is that I have something
weird enabled in my .config, so I'll try booting corenet32_smp_defconfig
on my P4080DS.  (I vaguely think I did that at some point but I can't
swear to it so I'll just retry.)  If that doesn't boot, could either of
you provide me with your built uImage so I can exclude toolchain
stupidity?

=> I'll send another mail when I got to try corenet32_smp_defconfig.

Aaaand, during the past week I noticed this is a rev1.0 P4080 chip, which
apparently only exists on some early P4080DS boards - and Freescale even
did a replacement program to get rev2.0 boards out (I guess this one was
sitting in some broom closet.)  I don't have access to erratas for this,
I only know the entire QMan/FMan stuff is royally f*cked - no idea
whether the PPC core has issues too.

FWIW, my board is running perfectly stable with that patch I posted and
I'll just carry it locally if it's an issue for this one specific board
I have here.  I just don't have sufficient information to tell if that
is indeed the case.

Thanks a lot for your input and help,

-David